sets
i parcelas  /1,2,3/
j cultivos /A,B,C/
;
parameters
demanda(j) demanda unitaria de agua por cultivo
/ A 5
  B 4
  C 3/
hectareas(i) superficie de cada parcela
/ 1 400
  2 600
  3 300/
w_disp(i) agua disponible para cada parcela
/ 1 1500
  2 2000
  3 900/
max_has(j) superficie maxima a plantar de cada cultivo 
/ A 700
  B 800
  C 300/
rendim(j) ganancias por hectarea de cada cultivo 
/ A 400
  B 300
  C 226/;
variables
x(j,i) hecatreas de cultivo j sembrado en parcela i 
z variable objetivo
;
positive variable x
;
equations
tot_beneficio   define funcion objetivo
lim_a_f(i)    limitacion de superficie de cada parcela
lim_w_f(i)   limitacion de agua de cada parcela
lim_a_c(j)   limitacion de area por cultivo
;

tot_beneficio .. z =e= sum((i,j), rendim(j)*x(j,i));
lim_a_f(i) .. sum(j, x(j,i)) =l= hectareas(i);
lim_w_f(i) .. sum(j, demanda(j)*x(j,i)) =l= w_disp(i);
lim_a_c(j) .. sum(i, x(j,i))=l=max_has(j);

model ejemplo /all/;
model ejemplo_1 /tot_beneficio, lim_a_f, lim_w_f/;


solve ejemplo_1 using lp maximizing z;
display x.l, x.m;